
declare_plugin("Su-24M by Eagle Dynamics",
{
displayName     = _("Su-24M Fencer"),
developerName   =   "Eagle Dynamics",

image     	 = "FC.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
fileMenuName = _("Su-24M"),

version		 = "1.5.4",
state		 = "installed",
info		 = _("The Su-24M Fencer-B is the primary frontline bomber of Russia and many other countries. The Su-24M is an improved version of the Su-24, that includes more advanced weapons and sensors. Capable of employing anti-bunker missiles,anti-ship missiles, anti-SAM radar missiles, rockets and bombs, the Fencer-B is a balance of speed, firepower, survivability, and battlefield versatility."),

InputProfiles =
{
    ["su-24m"] = current_mod_path .. '/Input/Su-24m',
},


Skins	=
	{
		{
			name	= _("Su-24m"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("Su-24m"),
			dir			    = "Missions",
            training_ids    = {EN = 'SU-24M_video_EN', RU = 'SU-24M_video_RU',},
		},
	},		

LogBook =
	{
		{
			name		= _("Su-24m"),
			type		= "Su-24m",
		},
	},		
})

mount_vfs_texture_path(current_mod_path.. 	"/Theme/ME")
mount_vfs_texture_path  (current_mod_path..	"/Textures")
mount_vfs_model_path    (current_mod_path..	"/Shapes")
mount_vfs_liveries_path (current_mod_path..	"/Liveries")

local support_cockpit = current_mod_path..'/Cockpit/Scripts/'
----------------------------------------------------------------------------------------

make_flyable('Su-24M', current_mod_path..'/Cockpit/Scripts/',{nil, old = 54}, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------
plugin_done()
